xine-lib: xine-lib-1.2.13/src/dxr3/dxr3_scr.c File Reference

xine-lib 1.2.13-20230125hg15249

Macros | Functions
dxr3_scr.c File Reference
`#include <sys/ioctl.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include "dxr3.h"`
`#include "dxr3_scr.h"`

## Macros
#define | LOG_MODULE "dxr3_scr"

## Functions
static int | dxr3_scr_get_priority (scr_plugin_t *scr)
static void | dxr3_scr_start (scr_plugin_t *scr, int64_t vpts)
static int64_t | dxr3_scr_get_current (scr_plugin_t *scr)
static void | dxr3_scr_adjust (scr_plugin_t *scr, int64_t vpts)
static int | dxr3_scr_set_speed (scr_plugin_t *scr, int speed)
static void | dxr3_scr_exit (scr_plugin_t *scr)
static void | dxr3_scr_update_priority (void *this_gen, xine_cfg_entry_t *entry)
static int | dxr3_mvcommand (int fd_control, int command)
dxr3_scr_t * | dxr3_scr_init (xine_t *xine)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "dxr3_scr"

## Function Documentation

## ◆ dxr3_mvcommand()

static int dxr3_mvcommand | ( | int | fd_control,
|  | int | command )
| inlinestatic

References EM8300_IOCTL_WRITEREG, em8300_register_t::microcode_register, em8300_register_t::reg, and em8300_register_t::val.

Referenced by dxr3_scr_set_speed().

## ◆ dxr3_scr_adjust()

static void dxr3_scr_adjust | ( | scr_plugin_t * | scr,
|  | int64_t | vpts )
| static

References EM8300_IOCTL_SCR_GET, EM8300_IOCTL_SCR_SET, lprintf, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by dxr3_scr_init().

## ◆ dxr3_scr_exit()

static void dxr3_scr_exit | ( | scr_plugin_t * | scr | ) |
| static

Referenced by dxr3_scr_init().

## ◆ dxr3_scr_get_current()

static int64_t dxr3_scr_get_current | ( | scr_plugin_t * | scr | ) |
| static

References EM8300_IOCTL_SCR_GET, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by dxr3_scr_init().

## ◆ dxr3_scr_get_priority()

static int dxr3_scr_get_priority | ( | scr_plugin_t * | scr | ) |
| static

Referenced by dxr3_scr_init().

## ◆ dxr3_scr_init()

dxr3_scr_t * dxr3_scr_init | ( | xine_t * | xine | ) |

References _, CONF_HELP, CONF_KEY, CONF_NAME, xine_s::config, dxr3_scr_adjust(), dxr3_scr_exit(), dxr3_scr_get_current(), dxr3_scr_get_priority(), dxr3_scr_set_speed(), dxr3_scr_start(), dxr3_scr_update_priority(), lprintf, NULL, config_values_s::register_num, xine_open_cloexec(), XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by dxr3_vo_open_plugin().

## ◆ dxr3_scr_set_speed()

static int dxr3_scr_set_speed | ( | scr_plugin_t * | scr,
|  | int | speed )
| static

References dxr3_mvcommand(), EM8300_IOCTL_SCR_SETSPEED, lprintf, MVCOMMAND_PAUSE, MVCOMMAND_START, MVCOMMAND_SYNC, XINE_FINE_SPEED_NORMAL, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by dxr3_scr_init().

## ◆ dxr3_scr_start()

static void dxr3_scr_start | ( | scr_plugin_t * | scr,
|  | int64_t | vpts )
| static

References EM8300_IOCTL_SCR_SET, EM8300_IOCTL_SCR_SETSPEED, lprintf, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by dxr3_scr_init().

## ◆ dxr3_scr_update_priority()

static void dxr3_scr_update_priority | ( | void * | this_gen,
|  | xine_cfg_entry_t * | entry )
| static

References xine_cfg_entry_s::num_value, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by dxr3_scr_init().